﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Windows.Forms;
using System.Reflection;
using System.Collections.ObjectModel;

using System.Net;
using FLY.Thick.Blowing.Server;
using FLY.Thick.Blowing.Server.OBJProxy;


namespace FLY.Thick.Blowing.UI.Fix.Server
{
    /// <summary>
    /// MainWindow.xaml 的交互逻辑
    /// </summary>
    public partial class MainWindow : FLY.ControlLibrary.WindowBigClose
    {
        FLY.AppHelper.WindowNotifyIconHelper notifyiconhelper;
        TDGage mGage;
        OBJProxy mOBJProxy;

        public MainWindow()
        {
            InitializeComponent();

            mGage = new TDGage("Gage1");
            mOBJProxy = new OBJProxy(0, mGage);

            this.Title = (new Misc.Ver() { SrcType = typeof(MainWindow) }).ToString();

            notifyiconhelper = new AppHelper.WindowNotifyIconHelper(this, this.Title);

            this.Hide();

            FObjBase.PollModule.Current.Start();

            this.DataContext = mGage.mSysParam;
        }


        private void button_save_Click(object sender, RoutedEventArgs e)
        {
            mGage.mSysParam.Save();
        }

    }
}
